---
title: color
slug: Web/CSS/@media/color
tags:
  - '@media'
  - CSS
  - Media Queries
  - Reference
  - media feature
---
<div>{{cssref}}</div>

<p>The <strong><code>color</code></strong> <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> can be used to test the number of bits per color component (red, green, blue) of the output device.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>color</code> feature is specified as an {{cssxref("&lt;integer&gt;")}} value that represents the number of bits per color component (red, green, blue) of the output device. If the device is not a color device, the value is zero. It is a range feature, meaning that you can also use the prefixed <strong><code>min-color</code></strong> and <code><strong>max-color</strong></code> variants to query minimum and maximum values, respectively.</p>

<div class="note">
<p><strong>Note:</strong> If the various color components are represented by different numbers of bits, the smallest number is used. For example, if a display uses 5 bits for blue and red and 6 bits for green, then the device is considered to use 5 bits per color component. If the device uses indexed colors, the minimum number of bits per color component in the color table is used.</p>
</div>

<p>See <a href="/en-US/docs/Web/HTML/Applying_color">Applying color to HTML elements using CSS</a> to learn more about using CSS to apply color to HTML.</p>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p&gt;This text should be black on non-color devices, red on devices with a low number of colors, and greenish on devices with a high number of colors.&lt;/p&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">p {
  color: black;
}

/* Any color device */
@media (color) {
  p {
    color: red;
  }
}

/* Any color device with at least 8 bits per color component */
@media (min-color: 8) {
  p {
    color: #24ba13;
  }
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Media Queries', '#color', 'color')}}</td>
   <td>{{Spec2('CSS4 Media Queries')}}</td>
   <td>The value can now be negative, in which case it computes to false.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Media Queries', '#color', 'color')}}</td>
   <td>{{Spec2('CSS3 Media Queries')}}</td>
   <td>Initial definition. The value must be nonnegative.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.color")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTML/Applying_color">Applying color to HTML elements using CSS</a></li>
 <li>The CSS {{cssxref("color")}} property</li>
 <li>The CSS {{cssxref("&lt;color&gt;")}} data unit</li>
</ul>
